Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-13874

java.lang.NoSuchMethodError: java/lang/String.isEmpty()Z

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Won't Fix
    • Component/s: thinbackup-plugin
    • Labels:
      None
    • Environment:
      Jenkins 1.456, thinBackup 1.6
    • Similar Issues:

      Description

      I installed thinBackup 1.6 on our Jenkins 1.456. I didn't restart the server yet.

      In thinBackup's settings page, I get an 'ERROR' below each of 'Backup directory', 'Backup schedule for full backups', 'Backup schedule for differential backups' and 'Files excluded from backup'.

      The Stacktrace is as follows:
      java.lang.NoSuchMethodError: java/lang/String.isEmpty()Z
      at org.jvnet.hudson.plugins.thinbackup.ThinBackupPluginImpl.doCheckBackupPath(ThinBackupPluginImpl.java:234)
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
      at java.lang.reflect.Method.invoke(Method.java:618)
      at org.kohsuke.stapler.Function$InstanceFunction.invoke(Function.java:288)
      at org.kohsuke.stapler.Function.bindAndInvoke(Function.java:151)
      at org.kohsuke.stapler.Function.bindAndInvokeAndServeResponse(Function.java:90)
      at org.kohsuke.stapler.MetaClass$1.doDispatch(MetaClass.java:111)
      at org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:53)
      at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:563)
      at org.kohsuke.stapler.Stapler.invoke(Stapler.java:648)
      at org.kohsuke.stapler.MetaClass$6.doDispatch(MetaClass.java:241)
      at org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:53)
      at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:563)
      at org.kohsuke.stapler.Stapler.invoke(Stapler.java:648)
      at org.kohsuke.stapler.Stapler.invoke(Stapler.java:477)
      at org.kohsuke.stapler.Stapler.service(Stapler.java:159)
      at javax.servlet.http.HttpServlet.service(HttpServlet.java:45)
      at winstone.ServletConfiguration.execute(ServletConfiguration.java:248)
      at winstone.RequestDispatcher.forward(RequestDispatcher.java:333)
      at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:376)
      at hudson.util.PluginServletFilter$1.doFilter(PluginServletFilter.java:95)
      at hudson.util.PluginServletFilter.doFilter(PluginServletFilter.java:87)
      at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      at hudson.security.csrf.CrumbFilter.doFilter(CrumbFilter.java:47)
      at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:84)
      at hudson.security.ChainedServletFilter.doFilter(ChainedServletFilter.java:76)
      at hudson.security.HudsonFilter.doFilter(HudsonFilter.java:164)
      at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      at hudson.util.CharacterEncodingFilter.doFilter(CharacterEncodingFilter.java:81)
      at winstone.FilterConfiguration.execute(FilterConfiguration.java:194)
      at winstone.RequestDispatcher.doFilter(RequestDispatcher.java:366)
      at winstone.RequestDispatcher.forward(RequestDispatcher.java:331)
      at winstone.RequestHandlerThread.processRequest(RequestHandlerThread.java:245)
      at winstone.RequestHandlerThread.run(RequestHandlerThread.java:148)
      at java.lang.Thread.run(Thread.java:811)
      Generated by Winstone Servlet Engine v0.9.10 at Wed May 23 06:13:08 PDT 2012

      Is there something wrong with my configuration?
      Thanks.

        Attachments

          Activity

          Hide
          tofuatjava Thomas Fürer added a comment -

          String#isEmpty() is available since java 1.6 so you need a JRE 1.6 which runs your jenkins. do you have a JRE 1.6 or greater installed and is this JRE used from jenkins?

          Show
          tofuatjava Thomas Fürer added a comment - String#isEmpty() is available since java 1.6 so you need a JRE 1.6 which runs your jenkins. do you have a JRE 1.6 or greater installed and is this JRE used from jenkins?
          Hide
          tofuatjava Thomas Fürer added a comment -

          I do not want to fix this, because Java5 is very old and not supported anymore by Oracle. So the minimum requirement will be Java 6.

          Please reopen it if you have a strong opinion against my decition.

          Show
          tofuatjava Thomas Fürer added a comment - I do not want to fix this, because Java5 is very old and not supported anymore by Oracle. So the minimum requirement will be Java 6. Please reopen it if you have a strong opinion against my decition.
          Hide
          mpapo Michael Pailloncy added a comment - - edited

          Hi Thomas,
          I agree that Java5 is old. But Jenkins is supposed to support this version : https://wiki.jenkins-ci.org/display/JENKINS/Java+5+Compatibility
          So I guess its plugins should also support it, no ?
          I understand your opinion on the subject. I am sure it is difficult to maintain plugins Jenkins, especially with problems of the JDK version.
          Using Java6 is not a problem for me, but I feel that there is a problem of consistency between the versions supported by Jenkins and its plugins.

          Maybe you could specify that this plugin is not compatible with Java5 on the wiki ?

          Michaël

          Show
          mpapo Michael Pailloncy added a comment - - edited Hi Thomas, I agree that Java5 is old. But Jenkins is supposed to support this version : https://wiki.jenkins-ci.org/display/JENKINS/Java+5+Compatibility So I guess its plugins should also support it, no ? I understand your opinion on the subject. I am sure it is difficult to maintain plugins Jenkins, especially with problems of the JDK version. Using Java6 is not a problem for me, but I feel that there is a problem of consistency between the versions supported by Jenkins and its plugins. Maybe you could specify that this plugin is not compatible with Java5 on the wiki ? Michaël

            People

            • Assignee:
              tofuatjava Thomas Fürer
              Reporter:
              nodet Xavier Nodet
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: